-- define FontOptions
function GetFontOptions()
    local container = Settings.CreateControlTextContainer()
    container:Add("morpheus_cz.ttf", "Morpheus (cz)")
    container:Add("frizquadratatt_cz.ttf", "Friz Quadrata TT (cz)")
    container:Add("quicksand.ttf", "Quicksand")
    container:Add("caveat.ttf", "Caveat")
    return container:GetData()
end

function CzechQuestsAddon:InitializeSettings()
    CzechQuestsAddon.optionsFrame = {};
    CzechQuestsAddon.optionsFrame, layout = Settings.RegisterVerticalLayoutCategory("CzechQuests")

    -- Add options for quests
    layout:AddInitializer(CreateSettingsListSectionHeaderInitializer("Questy"))
    CzechQuestsAddon:AddQuestOptions(CzechQuestsAddon.optionsFrame)

    -- Add options for speech
    layout:AddInitializer(CreateSettingsListSectionHeaderInitializer("Projevy"))
    CzechQuestsAddon:AddSpeechOptions(CzechQuestsAddon.optionsFrame)

    -- Add options for speech
    layout:AddInitializer(CreateSettingsListSectionHeaderInitializer("Ostatní"))
    CzechQuestsAddon:AddOthersOptions(CzechQuestsAddon.optionsFrame)

    -- Store it into Addon options
    Settings.RegisterAddOnCategory(CzechQuestsAddon.optionsFrame)
end